--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return the matching gateway for the provider
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>bogus</tt>: BogusGateway - Does nothing (for testing)"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>moneris</tt>: MonerisGateway"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>authorize_net</tt>: AuthorizeNetGateway"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>trust_commerce</tt>: TrustCommerceGateway"
  - !ruby/struct:SM::Flow::P 
    body: ActiveMerchant::Billing::Base.gateway('moneris').new
  type: :BULLET
full_name: ActiveMerchant::Billing::Base::gateway
is_singleton: true
name: gateway
params: (name)
visibility: public
